Leetcode Weekly Contest 403 | Video Solutions - A to D | by Viraj Chandra | TLE Eliminators

  Рет қаралды 4,739

TLE Eliminators - by Priyansh

TLE Eliminators - by Priyansh

Күн бұрын

Пікірлер
@TLE_Eliminators
@TLE_Eliminators 6 ай бұрын
Please fill the feedback form: forms.gle/UetQqvq4TiZVZtbx7
@kavinshah4302
@kavinshah4302 6 ай бұрын
Very Well Explaination Viraj Sir !!
@prabhjeetsingh6305
@prabhjeetsingh6305 6 ай бұрын
for 2nd question, I was not able to come up with this logic during the contest, now that I see this, it seems easy, but, would request you to suggest any other ideas too, though I understand that this is the easiest possible logic
@amanasrani6405
@amanasrani6405 6 ай бұрын
Here is my approach for the 2nd question class Solution { public: int findMax(const vector& indexArray) { if (indexArray.empty()) return -1; return *max_element(indexArray.begin(), indexArray.end()); } int findMin(const vector& indexArray) { if (indexArray.empty()) return -1; return *min_element(indexArray.begin(), indexArray.end()); } int minimumArea(vector& grid) { int rows = grid.size(); int cols = grid[0].size(); vector oneRowIndex; vector oneColIndex; for(int i = 0; i < rows; i++) { for(int j = 0; j < cols; j++) { if(grid[i][j] == 1) { oneRowIndex.push_back(i); oneColIndex.push_back(j); } } } if(oneColIndex.empty()) return 0; int minRow = findMin(oneRowIndex); int maxRow = findMax(oneRowIndex); int minCol = findMin(oneColIndex); int maxCol = findMax(oneColIndex); int height = maxRow - minRow + 1; int width = maxCol - minCol + 1; return height * width; } };
@fuel-the-fire-now
@fuel-the-fire-now 6 ай бұрын
brother!!, beautiful explanation for 4th one
@yashmalviya0149
@yashmalviya0149 6 ай бұрын
[2, -3, -7] taking subarrays [2, -3, -7] or [2, -3] and [-7] gives -2 as total cost but taking subarrays [2] and [-3, -7] gives you 6 as total cost...
@prakashdeshmukh222
@prakashdeshmukh222 6 ай бұрын
Good explanation with how he thinks about the problem in the contest
@rishabhjain563
@rishabhjain563 6 ай бұрын
amazing explanation of the d question!
@krishmakhija8333
@krishmakhija8333 6 ай бұрын
Great explanation of 4th ,understood competely
@Abhay14
@Abhay14 6 ай бұрын
great explaination bhaiya 😊
@vickyroy3595
@vickyroy3595 6 ай бұрын
Virajj !! Great explanation!!❤
@SumitKumar-du6vf
@SumitKumar-du6vf 6 ай бұрын
For Q3 how to tackle during the contest as their problem statements are such bullshit... though Excellent explanation brother🔥
@-VLaharika
@-VLaharika 6 ай бұрын
The solution for third is giving TLE in java
@roshangeorge97
@roshangeorge97 6 ай бұрын
best mentor❤
@omikakadiya
@omikakadiya 6 ай бұрын
very nice solution of 3rd and 4th bro
@ammanchhetri6716
@ammanchhetri6716 6 ай бұрын
im going to see ur code.....just to copy those boxes you draw for future reference 😏
@VirajChandra
@VirajChandra 6 ай бұрын
Hahaha lol
@ashutoshpatel2050
@ashutoshpatel2050 6 ай бұрын
I was able to come up with the exact same approach for the 4th question but missed it just by some mins due to wrong coordinates , However Will memoizing the answer for a particular set of rectangles optimize the soln any further or there would be no overlapping rectangles?
@VirajChandra
@VirajChandra 6 ай бұрын
I did not think about this since this seemed within the TC boundaries.
@rizwanaman-q3n
@rizwanaman-q3n 6 ай бұрын
No audio..😢
@TLE_Eliminators
@TLE_Eliminators 6 ай бұрын
The audio issue at some specific timestamp or in the entire video?
@jitushekkumar7083
@jitushekkumar7083 6 ай бұрын
bro use darkmode.
@VirajChandra
@VirajChandra 6 ай бұрын
Ok Bro. I'll take care.
@23cash86
@23cash86 6 ай бұрын
Viraj 🫡🫡🫡
@Munnu-hs6rk
@Munnu-hs6rk 6 ай бұрын
Leetcode contest are so shit now
@voicechanger3635
@voicechanger3635 6 ай бұрын
true, they should be more hard
@vickyroy3595
@vickyroy3595 6 ай бұрын
whenever i see dp problem doing greedily!!🥲
Leetcode Weekly Contest 427 | Video Solutions - A to D | by Viraj Chandra | TLE Eliminators
1:29:35
How Strong Is Tape?
00:24
Stokes Twins
Рет қаралды 96 МЛН
We Attempted The Impossible 😱
00:54
Topper Guild
Рет қаралды 56 МЛН
Leetcode Weekly Contest 428 | Video Solutions - A to D | by Jay Shirgupe | TLE Eliminators
1:29:45
Reality of CS Majors
4:16
bigboxSWE
Рет қаралды 545 М.
I Solved 100 LeetCode Problems
13:11
Green Code
Рет қаралды 300 М.
Full Computer Science Degree in a Nutshell
20:39
MrAlgorithm
Рет қаралды 108 М.
Leetcode Weekly Contest 429 | Video Solutions - A to D | by Jay Shirgupe | TLE Eliminators
1:25:05
Coding Interviews Be Like
5:31
Nicholas T.
Рет қаралды 6 МЛН
Python laid waste to my C++!
17:18
Sheafification of G
Рет қаралды 186 М.
CodeChef Starters 168 | Video Solutions - A to E | by Pradyumn Kejriwal | TLE Eliminators
2:26:50
I made maps that show time instead of space
10:44
Václav Volhejn
Рет қаралды 979 М.
How Strong Is Tape?
00:24
Stokes Twins
Рет қаралды 96 МЛН